Subject: Re: [PATCH][v1] powerpc/85xx: Create dts for each core in CAMPmodefor P2020RDB

From: Gabriel Paubert <[email-masked]>
Date: Fri, 11 Sep 2009 13:52:27 +0200

On Fri, Sep 11, 2009 at 05:17:50PM +0530, Aggrwal Poonam-B10812 wrote:
>  
> 
> > -----Original Message-----
> > From: Gabriel Paubert [mailto:[email-masked]] 
> > Sent: Thursday, September 10, 2009 9:33 PM
> > To: Aggrwal Poonam-B10812
> > Cc: [email-masked]
> > Subject: Re: [PATCH][v1] powerpc/85xx: Create dts for each 
> > core in CAMPmodefor P2020RDB
> > 
> > Ok, I wrongly understood protected interrupts as reserved for 
> > one core. However, I still dislike two devices having the same name.
> > 
> > Otherwise it may work if every interrupt is delivered to both 
> > cores although statistically only one core will actually have 
> > some work to do. Doesn't the kernel complain about unhandled 
> > irqs however? 
> > 
> We don't see any such messages of unhandled interrupts, although I
> checked the corresponding files for mpc8572ds, they do not have the
> interrupts property for the serial ports at all, in both the core0 and
> core1 dts.
> Don't know the reason.

Well it may depend on the irqdebug (or actually it seems to 
be noirqdebug) kernel parameter.

But if serial is used for console, the message rate could
go ballistic.

	Gabriel